# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/ck-sources/ck-sources-2.6.20_p1.ebuild,v 1.1 2007/02/17 19:37:10 marineam Exp $

DESCRIPTION="Full sources for the iMedia Linux kernel with Con Kolivas' high performance patchset, geode lx/gx support, Gentoo's patchsets, unionfs2, bootsplash, squashfs, supermount."
HOMEPAGE="http://www.imedialinux.com"
IUSE="server"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"

K_NOUSENAME="yes"
K_WANT_GENPATCHES="base extras"
K_GENPATCHES_VER="1"
UNIPATCH_STRICTORDER="1"
ETYPE="sources"
inherit kernel-2

detect_version
# A few hacks to set ck version from -r1 to ck1
RELEASE=${PR/r/}
EXTRAVERSION="-imedia"
KV_FULL=${OKV}${EXTRAVERSION}
CK_EXTRAVERSION=-ck${RELEASE}
CK_KV_FULL=${OKV}${CK_EXTRAVERSION}
KV_CK=${CK_KV_FULL}

CKPATCH="patch-${KV_CK}.bz2"

#echo $RELEASE
#echo $EXTRAVERSION
#echo $KV_FULL
#echo $KV_CK

#if use server; then
#	UNIPATCH_LIST="${DISTDIR}/${CKPATCH/ck/cks}"
#else
	UNIPATCH_LIST="\
	${FILESDIR}/imedia-bootsplash-${OKV}.patch \
	${FILESDIR}/imedia-supermount-${OKV}.patch \
	${FILESDIR}/imedia-unionfs2-${OKV}.patch \
	${DISTDIR}/${CKPATCH} \
	${FILESDIR}/imedia-geode-cimmaron-${OKV}.patch \
	${FILESDIR}/imedia-via-cx700-pci-id-${OKV}.patch \
	${FILESDIR}/imedia-viaex-alsa-${OKV}.patch \
	${FILESDIR}/imedia-version-${OKV}.patch \
	"
#fi

UNIPATCH_EXCLUDE="${UNIPATCH_EXCLUDE} 4200_fbsplash-0.9.2-r5.patch 4405_alpha-sysctl-uac.patch"

SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} mirror://kernel/linux/kernel/people/ck/patches/2.6/${OKV}/${KV_CK}/${CKPATCH}"

#server? (
#mirror://kernel/linux/kernel/people/ck/patches/cks/${CKPATCH/ck/cks}
#)
#!server? (
#mirror://kernel/linux/kernel/people/ck/patches/2.6/${OKV}/${KV_CK}/${CKPATCH} )"


pkg_postinst() {
	postinst_sources
}
